Debian Bug report logs - #544399
ITP: rakudo -- implementation of Perl 6 for Parrot

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ryan Niebur <ryan@debian.org>

Date: Mon, 31 Aug 2009 09:12:02 UTC

Owned by: Ryan Niebur <ryan@debian.org>

Severity: wishlist

Fixed in version rakudo/0.1~2009.09-1

Done: Ryan Niebur <ryan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#544399; Package wnpp. (Mon, 31 Aug 2009 09:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 31 Aug 2009 09:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Mon, 31 Aug 2009 02:03:01 -0700
[Message part 1 (text/plain, inline)]
Package: wnpp
Owner: Ryan Niebur <ryanryan52@gmail.com>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org

* Package name    : rakudo
  Version         : "2009-08" aka PDX (will probably use 0.1~2009-08-1 for the package version)
  Upstream Author : The Rakudo Team
* URL             : http://rakudo.org/
* License         : Artistic License 2.0
  Programming Lang: Parrot
  Description     : implementation of Perl 6 for Parrot

 Rakudo Perl is an implementation of the Perl 6 specification that
 runs on the Parrot virtual machine.

I won't be able to upload this for a while, because previous to the
current git version the build system didn't work with system installed
parrot. parrot and rakudo release go together (monthly), but the
debian maintainer of parrot only uploads the "stable" releases. So I
have to wait for the next stable version of parrot to be released and
uploaded to debian, and then for the corresponding version of rakudo
to be released. So it will probably be a few months...

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Niebur <ryanryan52@gmail.com>:
Bug#544399; Package wnpp. (Mon, 31 Aug 2009 14:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Niebur <ryanryan52@gmail.com>. (Mon, 31 Aug 2009 14:00:13 GMT) Full text and rfc822 format available.

Message #10 received at 544399@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 544399@bugs.debian.org
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Mon, 31 Aug 2009 15:40:34 +0200
[Message part 1 (text/plain, inline)]
Ryan Niebur <ryanryan52@gmail.com> writes:
>  Rakudo Perl is an implementation of the Perl 6 specification that
>  runs on the Parrot virtual machine.
>
> I won't be able to upload this for a while, because previous to the
> current git version the build system didn't work with system installed
> parrot. parrot and rakudo release go together (monthly), but the
> debian maintainer of parrot only uploads the "stable" releases. So I
> have to wait for the next stable version of parrot to be released and
> uploaded to debian, and then for the corresponding version of rakudo
> to be released. So it will probably be a few months...

Would it be possible to put a current parrot build into experimental?

Marc
-- 
BOFH #254:
Interference from lunar radiation
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544399; Package wnpp. (Mon, 31 Aug 2009 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 31 Aug 2009 19:57:09 GMT) Full text and rfc822 format available.

Message #15 received at 544399@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: allison@parrot.org
Cc: 544399@bugs.debian.org, Marc 'HE' Brockschmidt <he@ftwca.de>
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Mon, 31 Aug 2009 12:40:41 -0700
[Message part 1 (text/plain, inline)]
On Mon, Aug 31, 2009 at 03:40:34PM +0200, Marc 'HE' Brockschmidt wrote:
> Ryan Niebur <ryanryan52@gmail.com> writes:
> >  Rakudo Perl is an implementation of the Perl 6 specification that
> >  runs on the Parrot virtual machine.
> >
> > I won't be able to upload this for a while, because previous to the
> > current git version the build system didn't work with system installed
> > parrot. parrot and rakudo release go together (monthly), but the
> > debian maintainer of parrot only uploads the "stable" releases. So I
> > have to wait for the next stable version of parrot to be released and
> > uploaded to debian, and then for the corresponding version of rakudo
> > to be released. So it will probably be a few months...
> 
> Would it be possible to put a current parrot build into experimental?
> 

ask allison, not me :). anyways, if we were going the experiemental
route, we'd either have to put rakudo from git and parrot from svn, or
wait until the septemeber releases of both of them. either of which I'd
be happy to do, and I have rakudo + parrot packages building from git/svn.

so Allison, what's your opinion?

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544399; Package wnpp. (Mon, 31 Aug 2009 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 31 Aug 2009 23:00:04 GMT) Full text and rfc822 format available.

Message #20 received at 544399@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Allison Randal <allison.randal@aliencamel.com>
Cc: 544399@bugs.debian.org
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Mon, 31 Aug 2009 15:52:11 -0700
[Message part 1 (text/plain, inline)]
please keep the ITP bug CCed.

On Mon, Aug 31, 2009 at 03:45:07PM -0700, Allison Randal wrote:
> Last I heard (by automated notice), parrot 1.4 packages are already in experimental, though I didn't check to make sure.

they're actually in unstable. anyways, I need the unreleased versions
of parrot (more recent than 1.5.0 even). I'm using r40789 from SVN
locally.

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Niebur <ryanryan52@gmail.com>:
Bug#544399; Package wnpp. (Tue, 01 Sep 2009 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allison Randal <allison@parrot.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Niebur <ryanryan52@gmail.com>. (Tue, 01 Sep 2009 00:36:03 GMT) Full text and rfc822 format available.

Message #25 received at 544399@bugs.debian.org (full text, mbox):

From: Allison Randal <allison@parrot.org>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 544399@bugs.debian.org
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Mon, 31 Aug 2009 17:33:47 -0700
Ryan Niebur wrote:
> please keep the ITP bug CCed.

Apologies, was replying from my phone.

> On Mon, Aug 31, 2009 at 03:45:07PM -0700, Allison Randal wrote:
> they're actually in unstable. anyways, I need the unreleased versions
> of parrot (more recent than 1.5.0 even). I'm using r40789 from SVN
> locally.

Now that I have real internet access again... the automated notice was 
that 1.4 packages were migrated to "testing". So, yes, not relevant to 
what you're looking for.

We only package the stable releases because the intermediate monthly 
releases are for development testing, not for broader use. I'm willing 
to package some monthly releases between now and Parrot's next stable 
release (2.0 in January), just to be absolutely sure that Rakudo 
packages can enter unstable at the same time as Parrot 2.0. As long as 
it's understood that the experimental packages don't supersede the 1.4 
packages in unstable/testing, and won't ever migrate to unstable or 
testing. They're just throwaway packages for Rakudo testing.

But, it really boils down to a question of whether you have Rakudo users 
testing Debian experimental. If not, then it makes more sense to put the 
intermediate packages up on alioth.

Allison





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544399; Package wnpp. (Tue, 01 Sep 2009 01:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 01 Sep 2009 01:09:07 GMT) Full text and rfc822 format available.

Message #30 received at 544399@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Allison Randal <allison@parrot.org>
Cc: 544399@bugs.debian.org
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Mon, 31 Aug 2009 18:01:33 -0700
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Aug 31, 2009 at 05:33:47PM -0700, Allison Randal wrote:
> Ryan Niebur wrote:
>> please keep the ITP bug CCed.
>
> Apologies, was replying from my phone.
>

no problem.

>> On Mon, Aug 31, 2009 at 03:45:07PM -0700, Allison Randal wrote:
>> they're actually in unstable. anyways, I need the unreleased versions
>> of parrot (more recent than 1.5.0 even). I'm using r40789 from SVN
>> locally.
>
> Now that I have real internet access again... the automated notice was  
> that 1.4 packages were migrated to "testing". So, yes, not relevant to  
> what you're looking for.
>
> We only package the stable releases because the intermediate monthly  
> releases are for development testing, not for broader use. I'm willing  
> to package some monthly releases between now and Parrot's next stable  
> release (2.0 in January), just to be absolutely sure that Rakudo  
> packages can enter unstable at the same time as Parrot 2.0. As long as  
> it's understood that the experimental packages don't supersede the 1.4  
> packages in unstable/testing, and won't ever migrate to unstable or  
> testing. They're just throwaway packages for Rakudo testing.
>

ya. preparing an experimental upload would be great. Do you want to
wait for the September release or package the SVN version?

> But, it really boils down to a question of whether you have Rakudo users  
> testing Debian experimental. If not, then it makes more sense to put the  
> intermediate packages up on alioth.
>

adding experimental to the sources.list and running "apt-get install
-t experimental rakudo" is easier than downloading .debs from alioth,
and it means that it's more official (because it's actually in Debian
repos). other than that, I don't see the difference.

Thanks,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Ryan Niebur <ryanryan52@gmail.com>:
Bug#544399; Package wnpp. (Wed, 02 Sep 2009 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Allison Randal <allison@parrot.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Ryan Niebur <ryanryan52@gmail.com>. (Wed, 02 Sep 2009 04:18:03 GMT) Full text and rfc822 format available.

Message #35 received at 544399@bugs.debian.org (full text, mbox):

From: Allison Randal <allison@parrot.org>
To: Ryan Niebur <ryanryan52@gmail.com>
Cc: 544399@bugs.debian.org
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Tue, 01 Sep 2009 21:16:52 -0700
Ryan Niebur wrote:
> 
> ya. preparing an experimental upload would be great. Do you want to
> wait for the September release or package the SVN version?

Let's wait for the releases. Parrot and Rakudo are carefully sync'd at 
release points, but there's no guarantee of compatibility at random 
SVN/git revisions.

> adding experimental to the sources.list and running "apt-get install
> -t experimental rakudo" is easier than downloading .debs from alioth,
> and it means that it's more official (because it's actually in Debian
> repos). other than that, I don't see the difference.

I talked some with Patrick about plans for Rakudo releases. It sounds 
like it'll be useful to have the 1.6 (maybe 1.8) and 2.3 releases of 
Parrot in experimental. Rakudo packages could be in experimental around 
Parrot 1.6, (maybe 1.8,) 2.0 (January), and 2.3 (April), then aim for 
Rakudo in Debian unstable around Parrot 2.6 (July).

Allison




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#544399; Package wnpp. (Wed, 16 Sep 2009 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryanryan52@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 16 Sep 2009 04:51:03 GMT) Full text and rfc822 format available.

Message #40 received at 544399@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryanryan52@gmail.com>
To: Allison Randal <allison@parrot.org>
Cc: 544399@bugs.debian.org
Subject: Re: Bug#544399: ITP: rakudo -- implementation of Perl 6 for Parrot
Date: Tue, 15 Sep 2009 21:41:55 -0700
[Message part 1 (text/plain, inline)]
Hi Allison,

On Tue, Sep 01, 2009 at 09:16:52PM -0700, Allison Randal wrote:
> Ryan Niebur wrote:
>>
>> ya. preparing an experimental upload would be great. Do you want to
>> wait for the September release or package the SVN version?
>
> Let's wait for the releases. Parrot and Rakudo are carefully sync'd at  
> release points, but there's no guarantee of compatibility at random  
> SVN/git revisions.
>
>> adding experimental to the sources.list and running "apt-get install
>> -t experimental rakudo" is easier than downloading .debs from alioth,
>> and it means that it's more official (because it's actually in Debian
>> repos). other than that, I don't see the difference.
>
> I talked some with Patrick about plans for Rakudo releases. It sounds  
> like it'll be useful to have the 1.6 (maybe 1.8) and 2.3 releases of  
> Parrot in experimental. Rakudo packages could be in experimental around  
> Parrot 1.6, (maybe 1.8,) 2.0 (January), and 2.3 (April), then aim for  
> Rakudo in Debian unstable around Parrot 2.6 (July).
>

as I'm sure you already know, parrot 1.6 is now released, so how about
an upload to experimental? :)

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Owner changed from Ryan Niebur <ryanryan52@gmail.com> to Ryan Niebur <ryan@debian.org>. Request was from Ryan Niebur <ryan@debian.org> to control@bugs.debian.org. (Sun, 27 Sep 2009 20:46:31 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Ryan Niebur <ryan@debian.org>' from 'Ryan Niebur <ryanryan52@gmail.com>' Request was from Ryan Niebur <ryan@debian.org> to control@bugs.debian.org. (Wed, 30 Sep 2009 23:34:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 05 Oct 2009 07:06:08 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryan@debian.org>:
You have taken responsibility. (Mon, 05 Oct 2009 19:03:13 GMT) Full text and rfc822 format available.

Notification sent to Ryan Niebur <ryan@debian.org>:
Bug acknowledged by developer. (Mon, 05 Oct 2009 19:03:13 GMT) Full text and rfc822 format available.

Message #51 received at 544399-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 544399-close@bugs.debian.org
Subject: Bug#544399: fixed in rakudo 0.1~2009.09-1
Date: Mon, 05 Oct 2009 18:52:58 +0000
Source: rakudo
Source-Version: 0.1~2009.09-1

We believe that the bug you reported is fixed in the latest version of
rakudo, which is due to be installed in the Debian FTP archive:

rakudo_0.1~2009.09-1.diff.gz
  to pool/main/r/rakudo/rakudo_0.1~2009.09-1.diff.gz
rakudo_0.1~2009.09-1.dsc
  to pool/main/r/rakudo/rakudo_0.1~2009.09-1.dsc
rakudo_0.1~2009.09-1_i386.deb
  to pool/main/r/rakudo/rakudo_0.1~2009.09-1_i386.deb
rakudo_0.1~2009.09.orig.tar.gz
  to pool/main/r/rakudo/rakudo_0.1~2009.09.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544399@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryan@debian.org> (supplier of updated rakudo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 04 Oct 2009 14:31:57 -0700
Source: rakudo
Binary: rakudo
Architecture: source i386
Version: 0.1~2009.09-1
Distribution: experimental
Urgency: low
Maintainer: Ryan Niebur <ryan@debian.org>
Changed-By: Ryan Niebur <ryan@debian.org>
Description: 
 rakudo     - implementation of Perl 6 for Parrot
Closes: 544399
Changes: 
 rakudo (0.1~2009.09-1) experimental; urgency=low
 .
   * initial release (closes: 544399)
Checksums-Sha1: 
 172670ce2ac1dfeb1c750233c3040b024f1a3322 1079 rakudo_0.1~2009.09-1.dsc
 3c906762e2597b7ef905ff111a7863b014aee7e5 239488 rakudo_0.1~2009.09.orig.tar.gz
 12f28abed89cbbca2c39e9d3df036a70c7e88e08 5129 rakudo_0.1~2009.09-1.diff.gz
 c52e656921739b74d9f798a8d8e8941ae03369f4 1236060 rakudo_0.1~2009.09-1_i386.deb
Checksums-Sha256: 
 633be566a3357fc1e3a8f40e4c7c67309ae44e020aa2a6b05d401825994418b2 1079 rakudo_0.1~2009.09-1.dsc
 f663480cf4a672463c9dc6a2e5591381487d86f40638668a8b12205ae5589f63 239488 rakudo_0.1~2009.09.orig.tar.gz
 039e18238d501b51c23b5a5b3c08b02915570b7e83818b58d4c674a827885fa7 5129 rakudo_0.1~2009.09-1.diff.gz
 977917bfe2de8d441119ea559252ed906e64c08aba2d2d736a8b3178b7eb282c 1236060 rakudo_0.1~2009.09-1_i386.deb
Files: 
 d6339f52601e493e3af3c0f80c657e01 1079 interpreters optional rakudo_0.1~2009.09-1.dsc
 9be2865b97effcf267fc965ceae2a053 239488 interpreters optional rakudo_0.1~2009.09.orig.tar.gz
 1c1a28fe6d93338a0c9581aa8adada0e 5129 interpreters optional rakudo_0.1~2009.09-1.diff.gz
 ec27323c7bf08f93007ca5184034e9b0 1236060 interpreters optional rakudo_0.1~2009.09-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrJG/gACgkQMihv+PacasUgNQCgqQeMdk6Hfn5ucIA3sH79zKkf
nWYAoNENT/snjdzm0dWXmu69RTTI/NUK
=FAxe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Nov 2009 07:46:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:18:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.